<template>
  <div class="favorite" @click="setFavorite(id, favorite)">
    <img v-if="favorite" src="./../../assets/yellow-star.png" />
    <img v-else src="./../../assets/star.png" />
  </div>
</template>

<script>
export default {
  name: "Favorite",
  props: {
    id: String,
    name: String,
    favorite: Boolean
  },
  methods: {
    setFavorite(id, favorite) {
      if (favorite) {
        this.$emit("update", false);
        this.$store.commit("favorites/delete", id);
        this.$toast.show("You have deleted a favorite");
      } else {
        this.$emit("update", true);
        this.$store.commit("favorites/add", id);
        this.$toast.show("You have added a new favorite");
      }
    }
  }
};
</script>

<style scoped>
img {
  width: 25px;
  cursor: pointer;
}
</style>
